petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSectionGetConstraintIndices

Get the point dof numbers, in [0, dof), which are constrained

### Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetConstraintIndices(PetscSection s, PetscInt point, const PetscInt **indices)

Not collective

### Input Parameters

| s | - The PetscSection
| point | - The point

### Output Parameter

indices -The constrained dofs

Note: In Fortran, you call PetscSectionGetConstraintIndicesF90() and PetscSectionRestoreConstraintIndicesF90()

### See Also

PetscSectionSetConstraintIndices(), PetscSectionGetConstraintDof(), PetscSection

### Level

intermediate

### Location

src/vec/is/section/interface/section.c
Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages